Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultMVCGroupConfiguration

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractMVCGroupConfiguration
          org.codehaus.griffon.runtime.core.DefaultMVCGroupConfiguration

    public class DefaultMVCGroupConfiguration
    extends AbstractMVCGroupConfiguration

Default implementation of the `MVCGroupConfiguration` interface

Authors:
  Andres Almiray

Since:
  0.9.3

Field Summary

Fields inherited from class AbstractMVCGroupConfiguration
app, config, members, mvcType

Constructor Summary
`DefaultMVCGroupConfiguration(GriffonApplication app, String mvcType, Map members, Map config)`

Method Summary
`protected MVCGroup` | `instantiateMVCGroup(String mvcId, Map args)`

Methods inherited from class AbstractMVCGroupConfiguration
create, create, create, create, getApp, getConfig, getMembers, getMvcType, instantiateMVCGroup, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DefaultMVCGroupConfiguration

    public DefaultMVCGroupConfiguration(GriffonApplication app, String mvcType, Map members, Map config)

Method Detail

### instantiateMVCGroup

    protected MVCGroup instantiateMVCGroup(String mvcId, Map args)

Groovy Documentation